{
  config,
  pkgs,
  ...
}: {
  sops.secrets."wireless.env" = {
    sopsFile = ../../secrets/wifi.yaml;
  };
  sops.age.keyFile = /home/max/.config/sops/age/keys.txt;
  networking.networkmanager = {
    enable = true;
    wifi.backend = "wpa_supplicant";
  };

  environment.systemPackages = with pkgs; [
    nm-tray
  ];
}
